Bug 13681 - USB printer communication shaky
Summary: USB printer communication shaky
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard: Winston rc1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-10 23:29 UTC by Trond Eivind Glomsrxd
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 09:24:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Trond Eivind Glomsrxd 2000-07-10 23:29:07 UTC
When printing a page on a USB printer, the job often stops somewhere in the
job (e.g. after half a page). When using the same printer with a parallell
port, the jobs goes through. Communication problems?

Comment 1 Glen Foster 2000-07-30 22:40:02 UTC
This defect is considered MUST-FIX for Winston Release-Candidate #1

Comment 2 Tim Waugh 2000-08-01 10:08:57 UTC
Does it stop altogether?  With the USB in 2.4.0-testxx I was seeing occasional
long delays with USB, which seemed to go away with test5.  Perhaps there are
some backported fixes we need?

Comment 3 Trond Eivind Glomsrxd 2000-08-01 11:45:28 UTC
Yes, it stops altogether. Please check for important fixes in test5 (there are
some wrt. USB storage as well, which I would like backported... possibly more)

Comment 4 Tim Waugh 2000-08-03 12:22:48 UTC
Is this with ohci, uhci or usb-uhci by the way?  I don't know the USB code very
well so I'm not sure which changes we want..

Comment 5 Trond Eivind Glomsrxd 2000-08-03 13:39:38 UTC
uhci

Printing works fine with a USB-to-parallell-port converter, BTW - but not with
the native USB driver.

Comment 6 Tim Waugh 2000-08-04 09:24:50 UTC
Does 2.2.16-18 make things any better?

Comment 7 Trond Eivind Glomsrxd 2000-08-07 16:12:20 UTC
yes, it works fine now.


Note You need to log in before you can comment on or make changes to this bug.